import Foundation

extension Optional {
    
    func map<T>(_ transform: (Wrapped) -> T) -> T? {
        guard let self else {
            return nil
        }
        return transform(self)
    }
}
